package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.module.filter.SYXTBYDSearchContext;

/**
 * 实体 [商业险特别约定] 存储模型
 */
public interface SYXTBYD{

    /**
     * 商业险特别约定标识
     */
    String getSYXTBYDId();

    void setSYXTBYDId(String sYXTBYDId);

    /**
     * 获取 [商业险特别约定标识]脏标记
     */
    boolean getSYXTBYDIdDirtyFlag();
    /**
     * 商业险特别约定名称
     */
    String getSYXTBYDName();

    void setSYXTBYDName(String sYXTBYDName);

    /**
     * 获取 [商业险特别约定名称]脏标记
     */
    boolean getSYXTBYDNameDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 序号
     */
    Integer getXh();

    void setXh(Integer xh);

    /**
     * 获取 [序号]脏标记
     */
    boolean getXhDirtyFlag();
    /**
     * 特约名称
     */
    String getTymc();

    void setTymc(String tymc);

    /**
     * 获取 [特约名称]脏标记
     */
    boolean getTymcDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 特约内容
     */
    String getTynr();

    void setTynr(String tynr);

    /**
     * 获取 [特约内容]脏标记
     */
    boolean getTynrDirtyFlag();
    /**
     * 特别约定库名称
     */
    String getTBYDKName();

    void setTBYDKName(String tBYDKName);

    /**
     * 获取 [特别约定库名称]脏标记
     */
    boolean getTBYDKNameDirtyFlag();
    /**
     * 特别约定库标识
     */
    String getTBYDKId();

    void setTBYDKId(String tBYDKId);

    /**
     * 获取 [特别约定库标识]脏标记
     */
    boolean getTBYDKIdDirtyFlag();
    /**
     * 车险单标识
     */
    String getCIDId();

    void setCIDId(String cIDId);

    /**
     * 获取 [车险单标识]脏标记
     */
    boolean getCIDIdDirtyFlag();
}
